-- Copyright (C) 2018  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 18.1.0 Build 625 09/12/2018 SJ Lite Edition"

-- DATE "10/21/2019 17:49:15"

-- 
-- Device: Altera 5CSEMA5F31C6 Package FBGA896
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY ALTERA_LNSIM;
LIBRARY CYCLONEV;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE ALTERA_LNSIM.ALTERA_LNSIM_COMPONENTS.ALL;
USE CYCLONEV.CYCLONEV_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	part1c IS
    PORT (
	SW : IN std_logic_vector(1 DOWNTO 0);
	Key : IN std_logic_vector(0 DOWNTO 0);
	Hex0 : OUT std_logic_vector(0 TO 6);
	LEDR : OUT std_logic_vector(9 DOWNTO 0)
	);
END part1c;

-- Design Ports Information
-- Hex0[6]	=>  Location: PIN_AH28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Hex0[5]	=>  Location: PIN_AG28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Hex0[4]	=>  Location: PIN_AF28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Hex0[3]	=>  Location: PIN_AG27,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Hex0[2]	=>  Location: PIN_AE28,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Hex0[1]	=>  Location: PIN_AE27,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Hex0[0]	=>  Location: PIN_AE26,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[0]	=>  Location: PIN_V16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[1]	=>  Location: PIN_W16,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[2]	=>  Location: PIN_V17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[3]	=>  Location: PIN_V18,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[4]	=>  Location: PIN_W17,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[5]	=>  Location: PIN_W19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[6]	=>  Location: PIN_Y19,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[7]	=>  Location: PIN_W20,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[8]	=>  Location: PIN_W21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- LEDR[9]	=>  Location: PIN_Y21,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[0]	=>  Location: PIN_AB12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- SW[1]	=>  Location: PIN_AC12,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- Key[0]	=>  Location: PIN_AA14,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF part1c IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_SW : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_Key : std_logic_vector(0 DOWNTO 0);
SIGNAL ww_Hex0 : std_logic_vector(0 TO 6);
SIGNAL ww_LEDR : std_logic_vector(9 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \Key[0]~input_o\ : std_logic;
SIGNAL \Key[0]~inputCLKENA0_outclk\ : std_logic;
SIGNAL \SW[0]~input_o\ : std_logic;
SIGNAL \SW[1]~input_o\ : std_logic;
SIGNAL \C8B|T1|Qint~0_combout\ : std_logic;
SIGNAL \C8B|T1|Qint~q\ : std_logic;
SIGNAL \C8B|T2|Qint~0_combout\ : std_logic;
SIGNAL \C8B|T2|Qint~q\ : std_logic;
SIGNAL \C8B|T3|Qint~0_combout\ : std_logic;
SIGNAL \C8B|T3|Qint~q\ : std_logic;
SIGNAL \C8B|T4|Qint~0_combout\ : std_logic;
SIGNAL \C8B|T4|Qint~q\ : std_logic;
SIGNAL \H0|Mux6~0_combout\ : std_logic;
SIGNAL \H0|Mux5~0_combout\ : std_logic;
SIGNAL \H0|Mux4~0_combout\ : std_logic;
SIGNAL \H0|Mux3~0_combout\ : std_logic;
SIGNAL \H0|Mux2~0_combout\ : std_logic;
SIGNAL \H0|Mux1~0_combout\ : std_logic;
SIGNAL \H0|Mux0~0_combout\ : std_logic;
SIGNAL \ALT_INV_SW[1]~input_o\ : std_logic;
SIGNAL \ALT_INV_SW[0]~input_o\ : std_logic;
SIGNAL \H0|ALT_INV_Mux6~0_combout\ : std_logic;
SIGNAL \C8B|T4|ALT_INV_Qint~q\ : std_logic;
SIGNAL \C8B|T3|ALT_INV_Qint~q\ : std_logic;
SIGNAL \C8B|T2|ALT_INV_Qint~q\ : std_logic;
SIGNAL \C8B|T1|ALT_INV_Qint~q\ : std_logic;

BEGIN

ww_SW <= SW;
ww_Key <= Key;
Hex0 <= ww_Hex0;
LEDR <= ww_LEDR;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_SW[1]~input_o\ <= NOT \SW[1]~input_o\;
\ALT_INV_SW[0]~input_o\ <= NOT \SW[0]~input_o\;
\H0|ALT_INV_Mux6~0_combout\ <= NOT \H0|Mux6~0_combout\;
\C8B|T4|ALT_INV_Qint~q\ <= NOT \C8B|T4|Qint~q\;
\C8B|T3|ALT_INV_Qint~q\ <= NOT \C8B|T3|Qint~q\;
\C8B|T2|ALT_INV_Qint~q\ <= NOT \C8B|T2|Qint~q\;
\C8B|T1|ALT_INV_Qint~q\ <= NOT \C8B|T1|Qint~q\;

-- Location: IOOBUF_X89_Y4_N96
\Hex0[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|ALT_INV_Mux6~0_combout\,
	devoe => ww_devoe,
	o => ww_Hex0(6));

-- Location: IOOBUF_X89_Y13_N39
\Hex0[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux5~0_combout\,
	devoe => ww_devoe,
	o => ww_Hex0(5));

-- Location: IOOBUF_X89_Y13_N56
\Hex0[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux4~0_combout\,
	devoe => ww_devoe,
	o => ww_Hex0(4));

-- Location: IOOBUF_X89_Y4_N79
\Hex0[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux3~0_combout\,
	devoe => ww_devoe,
	o => ww_Hex0(3));

-- Location: IOOBUF_X89_Y11_N96
\Hex0[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux2~0_combout\,
	devoe => ww_devoe,
	o => ww_Hex0(2));

-- Location: IOOBUF_X89_Y11_N79
\Hex0[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux1~0_combout\,
	devoe => ww_devoe,
	o => ww_Hex0(1));

-- Location: IOOBUF_X89_Y8_N39
\Hex0[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \H0|Mux0~0_combout\,
	devoe => ww_devoe,
	o => ww_Hex0(0));

-- Location: IOOBUF_X52_Y0_N2
\LEDR[0]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \SW[0]~input_o\,
	devoe => ww_devoe,
	o => ww_LEDR(0));

-- Location: IOOBUF_X52_Y0_N19
\LEDR[1]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \SW[1]~input_o\,
	devoe => ww_devoe,
	o => ww_LEDR(1));

-- Location: IOOBUF_X60_Y0_N2
\LEDR[2]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => \Key[0]~inputCLKENA0_outclk\,
	devoe => ww_devoe,
	o => ww_LEDR(2));

-- Location: IOOBUF_X80_Y0_N2
\LEDR[3]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(3));

-- Location: IOOBUF_X60_Y0_N19
\LEDR[4]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(4));

-- Location: IOOBUF_X80_Y0_N19
\LEDR[5]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(5));

-- Location: IOOBUF_X84_Y0_N2
\LEDR[6]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(6));

-- Location: IOOBUF_X89_Y6_N5
\LEDR[7]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(7));

-- Location: IOOBUF_X89_Y8_N5
\LEDR[8]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(8));

-- Location: IOOBUF_X89_Y6_N22
\LEDR[9]~output\ : cyclonev_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false",
	shift_series_termination_control => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => ww_LEDR(9));

-- Location: IOIBUF_X36_Y0_N1
\Key[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Key(0),
	o => \Key[0]~input_o\);

-- Location: CLKCTRL_G5
\Key[0]~inputCLKENA0\ : cyclonev_clkena
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	disable_mode => "low",
	ena_register_mode => "always enabled",
	ena_register_power_up => "high",
	test_syn => "high")
-- pragma translate_on
PORT MAP (
	inclk => \Key[0]~input_o\,
	outclk => \Key[0]~inputCLKENA0_outclk\);

-- Location: IOIBUF_X12_Y0_N18
\SW[0]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(0),
	o => \SW[0]~input_o\);

-- Location: IOIBUF_X16_Y0_N1
\SW[1]~input\ : cyclonev_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_SW(1),
	o => \SW[1]~input_o\);

-- Location: LABCELL_X88_Y8_N15
\C8B|T1|Qint~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \C8B|T1|Qint~0_combout\ = ( !\C8B|T1|Qint~q\ & ( \SW[1]~input_o\ & ( \SW[0]~input_o\ ) ) ) # ( \C8B|T1|Qint~q\ & ( !\SW[1]~input_o\ & ( \SW[0]~input_o\ ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000010101010101010101010101010101010000000000000000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[0]~input_o\,
	datae => \C8B|T1|ALT_INV_Qint~q\,
	dataf => \ALT_INV_SW[1]~input_o\,
	combout => \C8B|T1|Qint~0_combout\);

-- Location: FF_X88_Y8_N17
\C8B|T1|Qint\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Key[0]~inputCLKENA0_outclk\,
	d => \C8B|T1|Qint~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C8B|T1|Qint~q\);

-- Location: LABCELL_X88_Y8_N54
\C8B|T2|Qint~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \C8B|T2|Qint~0_combout\ = ( \C8B|T1|Qint~q\ & ( (\SW[0]~input_o\ & (!\SW[1]~input_o\ $ (!\C8B|T2|Qint~q\))) ) ) # ( !\C8B|T1|Qint~q\ & ( (\SW[0]~input_o\ & \C8B|T2|Qint~q\) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000001010101000000000101010100000101010100000000010101010000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[0]~input_o\,
	datac => \ALT_INV_SW[1]~input_o\,
	datad => \C8B|T2|ALT_INV_Qint~q\,
	dataf => \C8B|T1|ALT_INV_Qint~q\,
	combout => \C8B|T2|Qint~0_combout\);

-- Location: FF_X88_Y8_N56
\C8B|T2|Qint\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Key[0]~inputCLKENA0_outclk\,
	d => \C8B|T2|Qint~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C8B|T2|Qint~q\);

-- Location: LABCELL_X88_Y8_N42
\C8B|T3|Qint~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \C8B|T3|Qint~0_combout\ = ( \C8B|T3|Qint~q\ & ( \C8B|T2|Qint~q\ & ( (\SW[0]~input_o\ & ((!\SW[1]~input_o\) # (!\C8B|T1|Qint~q\))) ) ) ) # ( !\C8B|T3|Qint~q\ & ( \C8B|T2|Qint~q\ & ( (\SW[1]~input_o\ & (\SW[0]~input_o\ & \C8B|T1|Qint~q\)) ) ) ) # ( 
-- \C8B|T3|Qint~q\ & ( !\C8B|T2|Qint~q\ & ( \SW[0]~input_o\ ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000011110000111100000000000001010000111100001010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[1]~input_o\,
	datac => \ALT_INV_SW[0]~input_o\,
	datad => \C8B|T1|ALT_INV_Qint~q\,
	datae => \C8B|T3|ALT_INV_Qint~q\,
	dataf => \C8B|T2|ALT_INV_Qint~q\,
	combout => \C8B|T3|Qint~0_combout\);

-- Location: FF_X88_Y8_N44
\C8B|T3|Qint\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Key[0]~inputCLKENA0_outclk\,
	d => \C8B|T3|Qint~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C8B|T3|Qint~q\);

-- Location: LABCELL_X88_Y8_N6
\C8B|T4|Qint~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \C8B|T4|Qint~0_combout\ = ( \C8B|T4|Qint~q\ & ( \C8B|T2|Qint~q\ & ( (\SW[0]~input_o\ & ((!\SW[1]~input_o\) # ((!\C8B|T3|Qint~q\) # (!\C8B|T1|Qint~q\)))) ) ) ) # ( !\C8B|T4|Qint~q\ & ( \C8B|T2|Qint~q\ & ( (\SW[1]~input_o\ & (\C8B|T3|Qint~q\ & 
-- (\SW[0]~input_o\ & \C8B|T1|Qint~q\))) ) ) ) # ( \C8B|T4|Qint~q\ & ( !\C8B|T2|Qint~q\ & ( \SW[0]~input_o\ ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000011110000111100000000000000010000111100001110",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \ALT_INV_SW[1]~input_o\,
	datab => \C8B|T3|ALT_INV_Qint~q\,
	datac => \ALT_INV_SW[0]~input_o\,
	datad => \C8B|T1|ALT_INV_Qint~q\,
	datae => \C8B|T4|ALT_INV_Qint~q\,
	dataf => \C8B|T2|ALT_INV_Qint~q\,
	combout => \C8B|T4|Qint~0_combout\);

-- Location: FF_X88_Y8_N8
\C8B|T4|Qint\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \Key[0]~inputCLKENA0_outclk\,
	d => \C8B|T4|Qint~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \C8B|T4|Qint~q\);

-- Location: LABCELL_X88_Y8_N57
\H0|Mux6~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux6~0_combout\ = ( \C8B|T4|Qint~q\ & ( ((!\C8B|T3|Qint~q\) # (\C8B|T2|Qint~q\)) # (\C8B|T1|Qint~q\) ) ) # ( !\C8B|T4|Qint~q\ & ( (!\C8B|T3|Qint~q\ & ((\C8B|T2|Qint~q\))) # (\C8B|T3|Qint~q\ & ((!\C8B|T1|Qint~q\) # (!\C8B|T2|Qint~q\))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000111111111100000011111111110011110011111111111111001111111111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \C8B|T1|ALT_INV_Qint~q\,
	datac => \C8B|T3|ALT_INV_Qint~q\,
	datad => \C8B|T2|ALT_INV_Qint~q\,
	dataf => \C8B|T4|ALT_INV_Qint~q\,
	combout => \H0|Mux6~0_combout\);

-- Location: LABCELL_X88_Y8_N36
\H0|Mux5~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux5~0_combout\ = ( \C8B|T3|Qint~q\ & ( (\C8B|T1|Qint~q\ & (!\C8B|T2|Qint~q\ $ (!\C8B|T4|Qint~q\))) ) ) # ( !\C8B|T3|Qint~q\ & ( (!\C8B|T4|Qint~q\ & ((\C8B|T2|Qint~q\) # (\C8B|T1|Qint~q\))) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011111100000000001111110000000000000011001100000000001100110000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \C8B|T1|ALT_INV_Qint~q\,
	datac => \C8B|T2|ALT_INV_Qint~q\,
	datad => \C8B|T4|ALT_INV_Qint~q\,
	dataf => \C8B|T3|ALT_INV_Qint~q\,
	combout => \H0|Mux5~0_combout\);

-- Location: LABCELL_X88_Y8_N33
\H0|Mux4~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux4~0_combout\ = ( \C8B|T3|Qint~q\ & ( \C8B|T1|Qint~q\ & ( !\C8B|T4|Qint~q\ ) ) ) # ( !\C8B|T3|Qint~q\ & ( \C8B|T1|Qint~q\ & ( (!\C8B|T2|Qint~q\) # (!\C8B|T4|Qint~q\) ) ) ) # ( \C8B|T3|Qint~q\ & ( !\C8B|T1|Qint~q\ & ( (!\C8B|T2|Qint~q\ & 
-- !\C8B|T4|Qint~q\) ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000101000001010000011111010111110101111000011110000",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \C8B|T2|ALT_INV_Qint~q\,
	datac => \C8B|T4|ALT_INV_Qint~q\,
	datae => \C8B|T3|ALT_INV_Qint~q\,
	dataf => \C8B|T1|ALT_INV_Qint~q\,
	combout => \H0|Mux4~0_combout\);

-- Location: LABCELL_X88_Y8_N24
\H0|Mux3~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux3~0_combout\ = ( \C8B|T3|Qint~q\ & ( (!\C8B|T1|Qint~q\ & (!\C8B|T2|Qint~q\ & !\C8B|T4|Qint~q\)) # (\C8B|T1|Qint~q\ & (\C8B|T2|Qint~q\)) ) ) # ( !\C8B|T3|Qint~q\ & ( (!\C8B|T1|Qint~q\ & (\C8B|T2|Qint~q\ & \C8B|T4|Qint~q\)) # (\C8B|T1|Qint~q\ & 
-- (!\C8B|T2|Qint~q\)) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0011000000111100001100000011110011000011000000111100001100000011",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \C8B|T1|ALT_INV_Qint~q\,
	datac => \C8B|T2|ALT_INV_Qint~q\,
	datad => \C8B|T4|ALT_INV_Qint~q\,
	dataf => \C8B|T3|ALT_INV_Qint~q\,
	combout => \H0|Mux3~0_combout\);

-- Location: LABCELL_X88_Y8_N3
\H0|Mux2~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux2~0_combout\ = ( \C8B|T3|Qint~q\ & ( \C8B|T1|Qint~q\ & ( (\C8B|T2|Qint~q\ & \C8B|T4|Qint~q\) ) ) ) # ( \C8B|T3|Qint~q\ & ( !\C8B|T1|Qint~q\ & ( \C8B|T4|Qint~q\ ) ) ) # ( !\C8B|T3|Qint~q\ & ( !\C8B|T1|Qint~q\ & ( (\C8B|T2|Qint~q\ & !\C8B|T4|Qint~q\) 
-- ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0101000001010000000011110000111100000000000000000000010100000101",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \C8B|T2|ALT_INV_Qint~q\,
	datac => \C8B|T4|ALT_INV_Qint~q\,
	datae => \C8B|T3|ALT_INV_Qint~q\,
	dataf => \C8B|T1|ALT_INV_Qint~q\,
	combout => \H0|Mux2~0_combout\);

-- Location: LABCELL_X88_Y8_N48
\H0|Mux1~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux1~0_combout\ = ( \C8B|T3|Qint~q\ & ( (!\C8B|T1|Qint~q\ & ((\C8B|T4|Qint~q\) # (\C8B|T2|Qint~q\))) # (\C8B|T1|Qint~q\ & (!\C8B|T2|Qint~q\ $ (\C8B|T4|Qint~q\))) ) ) # ( !\C8B|T3|Qint~q\ & ( (\C8B|T1|Qint~q\ & (\C8B|T2|Qint~q\ & \C8B|T4|Qint~q\)) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000011000000000000001100111100110011110011110011001111",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	datab => \C8B|T1|ALT_INV_Qint~q\,
	datac => \C8B|T2|ALT_INV_Qint~q\,
	datad => \C8B|T4|ALT_INV_Qint~q\,
	dataf => \C8B|T3|ALT_INV_Qint~q\,
	combout => \H0|Mux1~0_combout\);

-- Location: LABCELL_X88_Y8_N21
\H0|Mux0~0\ : cyclonev_lcell_comb
-- Equation(s):
-- \H0|Mux0~0_combout\ = ( \C8B|T3|Qint~q\ & ( \C8B|T1|Qint~q\ & ( (!\C8B|T2|Qint~q\ & \C8B|T4|Qint~q\) ) ) ) # ( !\C8B|T3|Qint~q\ & ( \C8B|T1|Qint~q\ & ( !\C8B|T2|Qint~q\ $ (\C8B|T4|Qint~q\) ) ) ) # ( \C8B|T3|Qint~q\ & ( !\C8B|T1|Qint~q\ & ( 
-- (!\C8B|T2|Qint~q\ & !\C8B|T4|Qint~q\) ) ) )

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000101000001010000010100101101001010000101000001010",
	shared_arith => "off")
-- pragma translate_on
PORT MAP (
	dataa => \C8B|T2|ALT_INV_Qint~q\,
	datac => \C8B|T4|ALT_INV_Qint~q\,
	datae => \C8B|T3|ALT_INV_Qint~q\,
	dataf => \C8B|T1|ALT_INV_Qint~q\,
	combout => \H0|Mux0~0_combout\);

-- Location: LABCELL_X4_Y33_N3
\~QUARTUS_CREATED_GND~I\ : cyclonev_lcell_comb
-- Equation(s):

-- pragma translate_off
GENERIC MAP (
	extended_lut => "off",
	lut_mask => "0000000000000000000000000000000000000000000000000000000000000000",
	shared_arith => "off")
-- pragma translate_on
;
END structure;


